Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ILayer

    java.lang.Object
      igeo.IObject
          igeo.ILayer

    public class ILayer

extends IObject

A class of a layer to contain and organize objects. Layers are managed by IServer.

Author:
  Satoru Sugihara
See Also:
  `IServer`

Field Summary
`java.util.ArrayList<IObject>` | `objects`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Constructor Summary
`ILayer()`
`ILayer(IServerI s)`
`ILayer(IServerI s, java.lang.String name)`
`ILayer(java.lang.String name)`

Method Summary
`ILayer` | `add(IObject e)`
`java.util.ArrayList<IObject>` | `allObjects()`
`java.awt.Color` | `awtColor()`
`IBrep` | `brep(int i)` Returns i-th IBrep object contained in objects or null if not found.
`int` | `brepNum()` number of IBrep in objects
`IBrep[]` | `breps()` Returns all brep objects contained in a layer.
`IColor` | `clr()`
`ILayer` | `clr(java.awt.Color c)`
`ILayer` | `clr(java.awt.Color c, double alpha)`
`ILayer` | `clr(java.awt.Color c, float alpha)`
`ILayer` | `clr(java.awt.Color c, int alpha)`
`ILayer` | `clr(double dgray)`
`ILayer` | `clr(double dgray, double dalpha)`
`ILayer` | `clr(double dr, double dg, double db)`
`ILayer` | `clr(double dr, double dg, double db, double da)`
`ILayer` | `clr(float fgray)`
`ILayer` | `clr(float fgray, float falpha)`
`ILayer` | `clr(float fr, float fg, float fb)`
`ILayer` | `clr(float fr, float fg, float fb, float fa)`
`ILayer` | `clr(IColor c)` to set an object color
`ILayer` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
`ILayer` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
`ILayer` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
`ILayer` | `clr(int gray)`
`ILayer` | `clr(int gray, int alpha)`
`ILayer` | `clr(int r, int g, int b)`
`ILayer` | `clr(int r, int g, int b, int a)`
`ILayer` | `clr(IObject o)` to set the same color with the object
`java.awt.Color` | `color()`
`boolean` | `contains(IObject e)`
`ICurve` | `crv(int i)` alias of curve(int)
`int` | `crvNum()` alias of curveNum()
`ICurve[]` | `crvs()` alias of curves()
`ICurve` | `curve(int i)` Returns i-th ICurve object contained in objects or null if not found.
`int` | `curveNum()` number of ICurve in objects
`ICurve[]` | `curves()` Returns all curve objects contained in a layer.
`IGeometry` | `geo(int i)`
`IGeometry[]` | `geometries()` Returns all brep objects contained in a layer.
`IGeometry` | `geometry(int i)` Returns i-th IGeometries object contained in objects or null if not found.
`int` | `geometryNum()` number of IBrep in objects
`int` | `geoNum()` alias of geometryNum()
`IGeometry[]` | `geos()` alias of geometries()
`IObject` | `get(int i)`
`java.util.ArrayList<IObject>` | `getAllObjects()`
`java.awt.Color` | `getAWTColor()`
`IBrep` | `getBrep(int i)` alias of brep(int)
`int` | `getBrepNum()` alias of brepNum()
`IBrep[]` | `getBreps()` alias of breps()
`IColor` | `getColor()`
`ICurve` | `getCurve(int i)` alias of curve(int)
`int` | `getCurveNum()` alias of curveNum()
`ICurve[]` | `getCurves()` alias of curves()
`IGeometry[]` | `getGeometries()` alias of geometries()
`IGeometry` | `getGeometry(int i)` alias of geometry(int)
`int` | `getGeometryNum()` alias of geometryNum()
`IMesh` | `getMesh(int i)` alias of mesh(int)
`IMesh[]` | `getMeshes()` alias of meshes()
`int` | `getMeshNum()` alias of meshNum()
`IObject` | `getObject(java.lang.Class cls, int i)` alias of object(Class,int)
`IObject` | `getObject(int i)` alias of object(Class,int)
`int` | `getObjectNum()` alias of objectNum()
`int` | `getObjectNum(java.lang.Class cls)` alias of objectNum(Class)
`IObject[]` | `getObjects()` alias of objects()
`IObject[]` | `getObjects(java.lang.Class cls)` alias of objects(Class)
`IPoint` | `getPoint(int i)` alias of point(int)
`int` | `getPointNum()` alias of pointsNum()
`IPoint[]` | `getPoints()` alias of points()
`ISurface` | `getSurface(int i)` alias of surface(int)
`int` | `getSurfaceNum()` alias of surfaceNum()
`ISurface[]` | `getSurfaces()` alias of surfaces()
`ILayer` | `hide()`
`ILayer` | `hsb(double h, double s, double b)`
`ILayer` | `hsb(double h, double s, double b, double a)`
`ILayer` | `hsb(float h, float s, float b)`
`ILayer` | `hsb(float h, float s, float b, float a)`
`IMesh` | `mesh(int i)` Returns i-th IMesh object contained in objects or null if not found.
`IMesh[]` | `meshes()` Returns all mesh objects contained in a layer.
`int` | `meshNum()` number of IMesh in objects
`ILayer` | `name(java.lang.String layerName)`
`int` | `num()`
`IObject` | `obj(java.lang.Class cls, int i)` alias of object(Class,int)
`IObject` | `obj(int i)` alias of object(Class,int)
`IObject` | `object(java.lang.Class cls, int i)` Returns i-th object contained in objects or null if not found.
`IObject` | `object(int i)` Returns i-th object contained in objects or null if not found.
`int` | `objectNum()` number of the specified class in objects
`int` | `objectNum(java.lang.Class cls)` number of the specified class in objects
`IObject[]` | `objects()` Returns all objects contained in a layer.
`IObject[]` | `objects(java.lang.Class cls)` Returns all objects of specified class contained in a layer.
`int` | `objNum()` alias of objectNum()
`int` | `objNum(java.lang.Class cls)` alias of objectNum(Class)
`IObject[]` | `objs()` alias of objects()
`IObject[]` | `objs(java.lang.Class cls)` alias of objects(Class)
`IPoint` | `point(int i)` Returns i-th IPoint object contained in objects or null if not found.
`int` | `pointNum()` number of IPoint in objects
`IPoint[]` | `points()` Returns all point objects contained in a layer.
`IPoint` | `pt(int i)` alias of point(int)
`int` | `ptNum()` alias of pointsNum()
`IPoint[]` | `pts()` alias of points()
`ILayer` | `remove(int i)`
`ILayer` | `remove(IObject e)`
`ILayer` | `setColor(java.awt.Color c)`
`ILayer` | `setColor(java.awt.Color c, double alpha)`
`ILayer` | `setColor(java.awt.Color c, float alpha)`
`ILayer` | `setColor(java.awt.Color c, int alpha)`
`ILayer` | `setColor(double dgray)`
`ILayer` | `setColor(double dgray, double dalpha)`
`ILayer` | `setColor(double dr, double dg, double db)`
`ILayer` | `setColor(double dr, double dg, double db, double da)`
`ILayer` | `setColor(float fgray)`
`ILayer` | `setColor(float fgray, float falpha)`
`ILayer` | `setColor(float fr, float fg, float fb)`
`ILayer` | `setColor(float fr, float fg, float fb, float fa)`
`ILayer` | `setColor(IColor c)`
`ILayer` | `setColor(IColor c, double alpha)`
`ILayer` | `setColor(IColor c, float alpha)`
`ILayer` | `setColor(IColor c, int alpha)`
`ILayer` | `setColor(int gray)`
`ILayer` | `setColor(int gray, int alpha)`
`ILayer` | `setColor(int r, int g, int b)`
`ILayer` | `setColor(int r, int g, int b, int a)`
`ILayer` | `setHSBColor(double h, double s, double b)`
`ILayer` | `setHSBColor(double h, double s, double b, double a)`
`ILayer` | `setHSBColor(float h, float s, float b)`
`ILayer` | `setHSBColor(float h, float s, float b, float a)`
`ILayer` | `setMaterial(IMaterial mat)`
`ILayer` | `setVisible(boolean v)`
`ILayer` | `show()`
`ISurface` | `srf(int i)` alias of surface(int)
`int` | `srfNum()` alias of surfaceNum()
`ISurface[]` | `srfs()` alias of surfaces()
`ISurface` | `surface(int i)` Returns i-th ISurface object contained in objects or null if not found.
`int` | `surfaceNum()` number of ISurface in objects
`ISurface[]` | `surfaces()` Returns all surface objects contained in a layer.
`boolean` | `visible()`
`ILayer` | `visible(boolean v)`
`ILayer` | `weight(double w)`
`ILayer` | `weight(float w)`

Methods inherited from class igeo.IObject
`addDynamics, addUserData, addUserData, alpha, alphaInt, attr, attr, attr, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, cp, createGraphic, defaultAttribute, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dup, dynamicsNum, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isValid, isVisible, layer, layer, layer, name, red, redInt, resetGraphic, saturation, server, setParameter, syncColor, syncGraphic, syncVisibility, syncWeight, updateGraphic, userData, userData, userData, userDataNum, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### objects

    public java.util.ArrayList<IObject> objects

Constructor Detail

### ILayer

    public ILayer()

### ILayer

    public ILayer(java.lang.String name)

### ILayer

    public ILayer(IServerI s)

### ILayer

    public ILayer(IServerI s,
                  java.lang.String name)

Method Detail

### num

    public int num()

### get

    public IObject get(int i)

### add

    public ILayer add(IObject e)

### remove

    public ILayer remove(int i)

### remove

    public ILayer remove(IObject e)

### contains

    public boolean contains(IObject e)

### allObjects

    public java.util.ArrayList<IObject> allObjects()

### getAllObjects

    public java.util.ArrayList<IObject> getAllObjects()

### points

    public IPoint[] points()

  Returns all point objects contained in a layer. IPointR objects are not included.

### getPoints

    public IPoint[] getPoints()

  alias of points()

### pts

    public IPoint[] pts()

  alias of points()

### curves

    public ICurve[] curves()

  Returns all curve objects contained in a layer. ICurveR objects are not included.

### getCurves

    public ICurve[] getCurves()

  alias of curves()

### crvs

    public ICurve[] crvs()

  alias of curves()

### surfaces

    public ISurface[] surfaces()

  Returns all surface objects contained in a layer. ISurfaceR objects are not included.

### getSurfaces

    public ISurface[] getSurfaces()

  alias of surfaces()

### srfs

    public ISurface[] srfs()

  alias of surfaces()

### meshes

    public IMesh[] meshes()

  Returns all mesh objects contained in a layer. IMeshR objects are not included.

### getMeshes

    public IMesh[] getMeshes()

  alias of meshes()

### breps

    public IBrep[] breps()

  Returns all brep objects contained in a layer.

### getBreps

    public IBrep[] getBreps()

  alias of breps()

### geometries

    public IGeometry[] geometries()

  Returns all brep objects contained in a layer.

### getGeometries

    public IGeometry[] getGeometries()

  alias of geometries()

### geos

    public IGeometry[] geos()

  alias of geometries()

### objects

    public IObject[] objects(java.lang.Class cls)

  Returns all objects of specified class contained in a layer.

### getObjects

    public IObject[] getObjects(java.lang.Class cls)

  alias of objects(Class)

### objs

    public IObject[] objs(java.lang.Class cls)

  alias of objects(Class)

### objects

    public IObject[] objects()

  Returns all objects contained in a layer.

### getObjects

    public IObject[] getObjects()

  alias of objects()

### objs

    public IObject[] objs()

  alias of objects()

### point

    public IPoint point(int i)

  Returns i-th IPoint object contained in objects or null if not found. IPointR objects are not included.

### getPoint

    public IPoint getPoint(int i)

  alias of point(int)

### pt

    public IPoint pt(int i)

  alias of point(int)

### curve

    public ICurve curve(int i)

  Returns i-th ICurve object contained in objects or null if not found. ICurveR objects are not included.

### getCurve

    public ICurve getCurve(int i)

  alias of curve(int)

### crv

    public ICurve crv(int i)

  alias of curve(int)

### surface

    public ISurface surface(int i)

  Returns i-th ISurface object contained in objects or null if not found. ISurfaceR objects are not included.

### getSurface

    public ISurface getSurface(int i)

  alias of surface(int)

### srf

    public ISurface srf(int i)

  alias of surface(int)

### mesh

    public IMesh mesh(int i)

  Returns i-th IMesh object contained in objects or null if not found. IMeshR objects are not included.

### getMesh

    public IMesh getMesh(int i)

  alias of mesh(int)

### brep

    public IBrep brep(int i)

  Returns i-th IBrep object contained in objects or null if not found.

### getBrep

    public IBrep getBrep(int i)

  alias of brep(int)

### geometry

    public IGeometry geometry(int i)

  Returns i-th IGeometries object contained in objects or null if not found.

### getGeometry

    public IGeometry getGeometry(int i)

  alias of geometry(int)

### geo

    public IGeometry geo(int i)

### object

    public IObject object(java.lang.Class cls,
                          int i)

  Returns i-th object contained in objects or null if not found.

### getObject

    public IObject getObject(java.lang.Class cls,
                             int i)

  alias of object(Class,int)

### obj

    public IObject obj(java.lang.Class cls,
                       int i)

  alias of object(Class,int)

### object

    public IObject object(int i)

  Returns i-th object contained in objects or null if not found.

### getObject

    public IObject getObject(int i)

  alias of object(Class,int)

### obj

    public IObject obj(int i)

  alias of object(Class,int)

### pointNum

    public int pointNum()

  number of IPoint in objects

### getPointNum

    public int getPointNum()

  alias of pointsNum()

### ptNum

    public int ptNum()

  alias of pointsNum()

### curveNum

    public int curveNum()

  number of ICurve in objects

### getCurveNum

    public int getCurveNum()

  alias of curveNum()

### crvNum

    public int crvNum()

  alias of curveNum()

### surfaceNum

    public int surfaceNum()

  number of ISurface in objects

### getSurfaceNum

    public int getSurfaceNum()

  alias of surfaceNum()

### srfNum

    public int srfNum()

  alias of surfaceNum()

### meshNum

    public int meshNum()

  number of IMesh in objects

### getMeshNum

    public int getMeshNum()

  alias of meshNum()

### brepNum

    public int brepNum()

  number of IBrep in objects

### getBrepNum

    public int getBrepNum()

  alias of brepNum()

### geometryNum

    public int geometryNum()

  number of IBrep in objects

### getGeometryNum

    public int getGeometryNum()

  alias of geometryNum()

### geoNum

    public int geoNum()

  alias of geometryNum()

### objectNum

    public int objectNum(java.lang.Class cls)

  number of the specified class in objects

### getObjectNum

    public int getObjectNum(java.lang.Class cls)

  alias of objectNum(Class)

### objNum

    public int objNum(java.lang.Class cls)

  alias of objectNum(Class)

### objectNum

    public int objectNum()

  number of the specified class in objects

### getObjectNum

    public int getObjectNum()

  alias of objectNum()

### objNum

    public int objNum()

  alias of objectNum()

### name

    public ILayer name(java.lang.String layerName)

  Overrides:
    `name` in class `IObject`

### visible

    public boolean visible()

  Overrides:
    `visible` in class `IObject`

### setVisible

    public ILayer setVisible(boolean v)

### visible

    public ILayer visible(boolean v)

### hide

    public ILayer hide()

  Overrides:
    `hide` in class `IObject`

### show

    public ILayer show()

  Overrides:
    `show` in class `IObject`

### clr

    public IColor clr()

  Overrides:
    `clr` in class `IObject`
  Returns:
    returns whatever Color of any graphics member. (first found)

### color

    public java.awt.Color color()

### awtColor

    public java.awt.Color awtColor()

  Overrides:
    `awtColor` in class `IObject`
  Returns:
    returns whatever Color of any graphics member. (first found)

### clr

    public ILayer clr(IColor c)

  Description copied from class: `IObject`
  to set an object color

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(IColor c,
                      int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(IColor c,
                      float alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(IColor c,
                      double alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(IObject o)

  Description copied from class: `IObject`
  to set the same color with the object

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(java.awt.Color c)

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(java.awt.Color c,
                      int alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(java.awt.Color c,
                      float alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(java.awt.Color c,
                      double alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(int gray)

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(float fgray)

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(double dgray)

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(int gray,
                      int alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(float fgray,
                      float falpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(double dgray,
                      double dalpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(int r,
                      int g,
                      int b)

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(float fr,
                      float fg,
                      float fb)

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(double dr,
                      double dg,
                      double db)

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(int r,
                      int g,
                      int b,
                      int a)

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(float fr,
                      float fg,
                      float fb,
                      float fa)

  Overrides:
    `clr` in class `IObject`

### clr

    public ILayer clr(double dr,
                      double dg,
                      double db,
                      double da)

  Overrides:
    `clr` in class `IObject`

### hsb

    public ILayer hsb(float h,
                      float s,
                      float b,
                      float a)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public ILayer hsb(double h,
                      double s,
                      double b,
                      double a)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public ILayer hsb(float h,
                      float s,
                      float b)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public ILayer hsb(double h,
                      double s,
                      double b)

  Overrides:
    `hsb` in class `IObject`

### getColor

    public IColor getColor()

  Overrides:
    `getColor` in class `IObject`
  Returns:
    returns whatever Color of any graphics member. (first found)

### getAWTColor

    public java.awt.Color getAWTColor()

  Overrides:
    `getAWTColor` in class `IObject`

### setColor

    public ILayer setColor(IColor c)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(IColor c,
                           int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(IColor c,
                           float alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(IColor c,
                           double alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(java.awt.Color c)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(java.awt.Color c,
                           int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(java.awt.Color c,
                           float alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(java.awt.Color c,
                           double alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(int gray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(float fgray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(double dgray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(int gray,
                           int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(float fgray,
                           float falpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(double dgray,
                           double dalpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(int r,
                           int g,
                           int b)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(float fr,
                           float fg,
                           float fb)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(double dr,
                           double dg,
                           double db)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(int r,
                           int g,
                           int b,
                           int a)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(float fr,
                           float fg,
                           float fb,
                           float fa)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public ILayer setColor(double dr,
                           double dg,
                           double db,
                           double da)

  Overrides:
    `setColor` in class `IObject`

### setHSBColor

    public ILayer setHSBColor(float h,
                              float s,
                              float b,
                              float a)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public ILayer setHSBColor(double h,
                              double s,
                              double b,
                              double a)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public ILayer setHSBColor(float h,
                              float s,
                              float b)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public ILayer setHSBColor(double h,
                              double s,
                              double b)

  Overrides:
    `setHSBColor` in class `IObject`

### weight

    public ILayer weight(double w)

  Overrides:
    `weight` in class `IObject`

### weight

    public ILayer weight(float w)

  Overrides:
    `weight` in class `IObject`

### setMaterial

    public ILayer setMaterial(IMaterial mat)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD